aboutsummaryrefslogtreecommitdiff
path: root/tests/ci/Makefile
diff options
context:
space:
mode:
authorMuhammad Moinur Rahman <bofh@FreeBSD.org>2025-05-02 17:28:51 +0000
committerMuhammad Moinur Rahman <bofh@FreeBSD.org>2025-05-02 17:28:51 +0000
commit5ea28c51397906a7cabb06089974feb21e2a7979 (patch)
tree2f4b50391d8f8d9230bab41ab589ead11eb0711e /tests/ci/Makefile
parent9ea78ef1d6f9785411963a897668cb2eeedd4107 (diff)
Diffstat (limited to 'tests/ci/Makefile')
-rw-r--r--tests/ci/Makefile4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/ci/Makefile b/tests/ci/Makefile
index e452d74679af..e51c97fa2b83 100644
--- a/tests/ci/Makefile
+++ b/tests/ci/Makefile
@@ -123,8 +123,8 @@ VM_MEM_SIZE=${QEMU_MAX_MEM_SIZE}g
.else
VM_MEM_SIZE=${VM_MEM}g
.endif
-KLDVMMISLOADED!=kldload -q -n vmm 2>/dev/null && echo "1" || echo "0"
-.if ${KLDVMMISLOADED} == "0"
+VMGUEST!=sysctl -n kern.vm_guest 2>/dev/null || true
+.if ${VMGUEST} != "none"
USE_QEMU?=1
.endif
KLDFILEMONISLOADED!=kldload -q -n filemon 2>/dev/null && echo "1" || echo "0"